/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.models;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.squareup.connect.models.EmployeeWage;
import com.squareup.connect.models.Error;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

/**
 * The response to a request for a set of &#x60;EmployeeWage&#x60; objects. Contains  a set of &#x60;EmployeeWage&#x60;.
 */
@ApiModel(description = "The response to a request for a set of `EmployeeWage` objects. Contains  a set of `EmployeeWage`.")

public class ListEmployeeWagesResponse {
  @JsonProperty("employee_wages")
  private List<EmployeeWage> employeeWages = new ArrayList<EmployeeWage>();

  @JsonProperty("cursor")
  private String cursor = null;

  @JsonProperty("errors")
  private List<Error> errors = new ArrayList<Error>();

  public ListEmployeeWagesResponse employeeWages(List<EmployeeWage> employeeWages) {
    this.employeeWages = employeeWages;
    return this;
  }

  public ListEmployeeWagesResponse addEmployeeWagesItem(EmployeeWage employeeWagesItem) {
    this.employeeWages.add(employeeWagesItem);
    return this;
  }

   /**
   * A page of Employee Wage results.
   * @return employeeWages
  **/
  @ApiModelProperty(value = "A page of Employee Wage results.")
  public List<EmployeeWage> getEmployeeWages() {
    return employeeWages;
  }

  public void setEmployeeWages(List<EmployeeWage> employeeWages) {
    this.employeeWages = employeeWages;
  }

  public ListEmployeeWagesResponse cursor(String cursor) {
    this.cursor = cursor;
    return this;
  }

   /**
   * Value supplied in the subsequent request to fetch the next next page of Employee Wage results.
   * @return cursor
  **/
  @ApiModelProperty(value = "Value supplied in the subsequent request to fetch the next next page of Employee Wage results.")
  public String getCursor() {
    return cursor;
  }

  public void setCursor(String cursor) {
    this.cursor = cursor;
  }

  public ListEmployeeWagesResponse errors(List<Error> errors) {
    this.errors = errors;
    return this;
  }

  public ListEmployeeWagesResponse addErrorsItem(Error errorsItem) {
    this.errors.add(errorsItem);
    return this;
  }

   /**
   * Any errors that occurred during the request.
   * @return errors
  **/
  @ApiModelProperty(value = "Any errors that occurred during the request.")
  public List<Error> getErrors() {
    return errors;
  }

  public void setErrors(List<Error> errors) {
    this.errors = errors;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ListEmployeeWagesResponse listEmployeeWagesResponse = (ListEmployeeWagesResponse) o;
    return Objects.equals(this.employeeWages, listEmployeeWagesResponse.employeeWages) &&
        Objects.equals(this.cursor, listEmployeeWagesResponse.cursor) &&
        Objects.equals(this.errors, listEmployeeWagesResponse.errors);
  }

  @Override
  public int hashCode() {
    return Objects.hash(employeeWages, cursor, errors);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ListEmployeeWagesResponse {\n");
    
    sb.append("    employeeWages: ").append(toIndentedString(employeeWages)).append("\n");
    sb.append("    cursor: ").append(toIndentedString(cursor)).append("\n");
    sb.append("    errors: ").append(toIndentedString(errors)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

