/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.models;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.squareup.connect.models.Employee;
import com.squareup.connect.models.Error;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

/**
 * Defines the fields that are included in the response body of a request to the ListEmployees endpoint.  One of &#x60;errors&#x60; or &#x60;employees&#x60; is present in a given response (never both).
 */
@ApiModel(description = "Defines the fields that are included in the response body of a request to the ListEmployees endpoint.  One of `errors` or `employees` is present in a given response (never both).")

public class ListEmployeesResponse {
  @JsonProperty("employees")
  private List<Employee> employees = new ArrayList<Employee>();

  @JsonProperty("cursor")
  private String cursor = null;

  @JsonProperty("errors")
  private List<Error> errors = new ArrayList<Error>();

  public ListEmployeesResponse employees(List<Employee> employees) {
    this.employees = employees;
    return this;
  }

  public ListEmployeesResponse addEmployeesItem(Employee employeesItem) {
    this.employees.add(employeesItem);
    return this;
  }

   /**
   * List of employees returned from the request.
   * @return employees
  **/
  @ApiModelProperty(value = "List of employees returned from the request.")
  public List<Employee> getEmployees() {
    return employees;
  }

  public void setEmployees(List<Employee> employees) {
    this.employees = employees;
  }

  public ListEmployeesResponse cursor(String cursor) {
    this.cursor = cursor;
    return this;
  }

   /**
   * The token to be used to retrieve the next page of results.
   * @return cursor
  **/
  @ApiModelProperty(value = "The token to be used to retrieve the next page of results.")
  public String getCursor() {
    return cursor;
  }

  public void setCursor(String cursor) {
    this.cursor = cursor;
  }

  public ListEmployeesResponse errors(List<Error> errors) {
    this.errors = errors;
    return this;
  }

  public ListEmployeesResponse addErrorsItem(Error errorsItem) {
    this.errors.add(errorsItem);
    return this;
  }

   /**
   * Any errors that occurred during the request.
   * @return errors
  **/
  @ApiModelProperty(value = "Any errors that occurred during the request.")
  public List<Error> getErrors() {
    return errors;
  }

  public void setErrors(List<Error> errors) {
    this.errors = errors;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ListEmployeesResponse listEmployeesResponse = (ListEmployeesResponse) o;
    return Objects.equals(this.employees, listEmployeesResponse.employees) &&
        Objects.equals(this.cursor, listEmployeesResponse.cursor) &&
        Objects.equals(this.errors, listEmployeesResponse.errors);
  }

  @Override
  public int hashCode() {
    return Objects.hash(employees, cursor, errors);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ListEmployeesResponse {\n");
    
    sb.append("    employees: ").append(toIndentedString(employees)).append("\n");
    sb.append("    cursor: ").append(toIndentedString(cursor)).append("\n");
    sb.append("    errors: ").append(toIndentedString(errors)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

