/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.models;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

/**
 * Filter by current Order &#x60;state&#x60;.
 */
@ApiModel(description = "Filter by current Order `state`.")

public class SearchOrdersStateFilter {
  /**
   * Gets or Sets states
   */
  public enum StatesEnum {
    OPEN("OPEN"),
    
    COMPLETED("COMPLETED"),
    
    CANCELED("CANCELED");

    private String value;

    StatesEnum(String value) {
      this.value = value;
    }

    @Override
    public String toString() {
      return String.valueOf(value);
    }

    @JsonCreator
    public static StatesEnum fromValue(String text) {
      for (StatesEnum b : StatesEnum.values()) {
        if (String.valueOf(b.value).equals(text)) {
          return b;
        }
      }
      return null;
    }
  }

  @JsonProperty("states")
  private List<StatesEnum> states = new ArrayList<StatesEnum>();

  public SearchOrdersStateFilter states(List<StatesEnum> states) {
    this.states = states;
    return this;
  }

  public SearchOrdersStateFilter addStatesItem(StatesEnum statesItem) {
    this.states.add(statesItem);
    return this;
  }

   /**
   * States to filter for. See [OrderState](#type-orderstate) for possible values
   * @return states
  **/
  @ApiModelProperty(required = true, value = "States to filter for. See [OrderState](#type-orderstate) for possible values")
  public List<StatesEnum> getStates() {
    return states;
  }

  public void setStates(List<StatesEnum> states) {
    this.states = states;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SearchOrdersStateFilter searchOrdersStateFilter = (SearchOrdersStateFilter) o;
    return Objects.equals(this.states, searchOrdersStateFilter.states);
  }

  @Override
  public int hashCode() {
    return Objects.hash(states);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SearchOrdersStateFilter {\n");
    
    sb.append("    states: ").append(toIndentedString(states)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

