/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.models;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * V1Category
 */
@ApiModel(description = "V1Category")

public class V1Category {
  @JsonProperty("id")
  private String id = null;

  @JsonProperty("name")
  private String name = null;

  @JsonProperty("v2_id")
  private String v2Id = null;

  public V1Category id(String id) {
    this.id = id;
    return this;
  }

   /**
   * The category's unique ID.
   * @return id
  **/
  @ApiModelProperty(value = "The category's unique ID.")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public V1Category name(String name) {
    this.name = name;
    return this;
  }

   /**
   * The category's name.
   * @return name
  **/
  @ApiModelProperty(value = "The category's name.")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public V1Category v2Id(String v2Id) {
    this.v2Id = v2Id;
    return this;
  }

   /**
   * The ID of the CatalogObject in the Connect v2 API. Objects that are shared across multiple locations share the same v2 ID.
   * @return v2Id
  **/
  @ApiModelProperty(value = "The ID of the CatalogObject in the Connect v2 API. Objects that are shared across multiple locations share the same v2 ID.")
  public String getV2Id() {
    return v2Id;
  }

  public void setV2Id(String v2Id) {
    this.v2Id = v2Id;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    V1Category v1Category = (V1Category) o;
    return Objects.equals(this.id, v1Category.id) &&
        Objects.equals(this.name, v1Category.name) &&
        Objects.equals(this.v2Id, v1Category.v2Id);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, v2Id);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class V1Category {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    v2Id: ").append(toIndentedString(v2Id)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

